dpkg-fsys-usrunmess(8)

NOM
dpkg-fsys-usrunmess - défait le désordre de merged-/usr-via-aliased-dirs

SYNOPSIS
dpkg-fsys-usrunmess [option...]

DESCRIPTION
dpkg-fsys-usrunmess est un outil pour corriger les systèmes de fichiers qui ont été installés à nouveau avec les installateurs récents qui ont des valeurs par défaut fâcheuses ou migrés vers la disposition cassée de /usr fusionné au moyen d'alias de répertoires, ce qui n'est pas pris en charge par dpkg. Voir la FAQ de dpkg.

Note : le comité technique de Debian a décidé que dans la publication suivant Bookworm, la disposition sans fusion de /usr ne serait plus prise en charge et par conséquent, certains des responsables de paquet pourraient ne plus corriger les problèmes ou retirer de façon intentionnelle la prise en charge la disposition sans fusion, aussi vous devrez vous décider et choisir votre poison.

Le programme réalisera les actions globales suivantes :

•   Vérifier si le système a besoin d'être changé, autrement ne rien faire,

•   Vérifier la cohérence de la base de données de dpkg, sinon s'interrompre,

•   Générer et installer un paquet de prévention de régression, si demandé en ligne de commande ou autrement sur l'invite.

•   Obtenir la liste des fichiers et des alternatives qui nécessitent d'être restaurés.

•   Rechercher les fichiers de modules du noyau non suivis qui doivent aussi être déplacés.

•   Créer une hiérarchie masquée sous /.usrunmess en créant les liens symboliques des répertoires, en créant des liens physiques ou en copiant les fichiers selon les besoins.

•   Demander une confirmation avant de continuer, si requis en ligne de commande.

•   Verrouiller la base de données de dpkg

•   Marquer tous les paquets comme à moitié configurés pour forcer l'exécution des scripts du responsable qui pourraient nécessiter la recréation de fichiers.

•   Remplacer les répertoires alias avec les répertoires masqués en créant une sauvegarde des anciens répertoires avec des liens symboliques et en renommant les répertoires masqués à leur place.

•   Ré-étiqueter les informations MAC des répertoires et des liens symboliques si nécessaire.

•   Supprimer les liens symboliques sauvegardés.

•   Supprimer les anciens objets déplacés, mais différer le retrait des répertoires.

•   Supprimer les répertoires anciens différés qui ne sont pas référencés par dpkg-query.

•   Supprimer le répertoire racine masqué.

•   Enregistrer un fichier policy-rc.d pour refuser les actions de service, ce qui signifie que les services pourraient avoir besoin d'être redémarrés ultérieurement, idéalement au moyen d'un redémarrage.

•   Reconfigurer tous les paquets.

•   Désinscrire le policy-rc.d et restaurer l'état des alternatives.

Note : Lors de l'exécution du programme à partir de certains interpréteurs tels que bash(1) ou zsh(1), après exécution, vous devrez peut-être demander à l'interpréteur d'oublier tous les emplacements retenus d'exécutable avec par exemple la commande "hash -r".

Note : certains répertoires pourraient subsister après la migration au cas où ils contiennent des fichiers non suivis. Une liste est affichée une fois que le script s'est terminé pour une investigation plus approfondie.

Attention : notez que cette opération peut potentiellement rendre le système inutilisable ou cassé en cas de plantage brutal, ou de redémarrage, d'état inattendu du système ou des bogues potentiel dans le script. Soyez prêt avec des médias de récupération et pensez à réaliser des sauvegarde au préalable.

OPTIONS

-p, --prompt
    Demander confirmation au moment où l'opération devient irréversible, de sorte que la sortie de débogage ou la hiérarchie cachée puissent être évaluées avant de poursuivre.

--prevention
--no-prevention
    Activer ou désactiver la génération et l'installation d'un paquet de prévention de régression dans le système. Si aucune option n'a été spécifiée, une question sera posée sur l'action à entreprendre.

    Le paquet généré contient le champ Protected fixé à yes pour protéger contre le retrait accidentel du paquet.

-n, --no-act
--dry-run
    Cette option active le mode test dans lequel aucune action destructive n'a lieu, seulement la partie préparatoire.

-?, --help
    Afficher un message d'aide puis quitter.

--version
    Afficher le numéro de version puis quitter.

ENVIRONNEMENT

DPKG_USRUNMESS_NOACT
    Ce réglage définit s'il faut activer le mode test.

VOIR AUSSI
<https://wiki.debian.org/Teams/Dpkg/FAQ#broken-usrmerge>.

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.